#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    unsigned int N;
    cin >> N;

    if (N < 2)
    {
        cout << -1;
        return 0;
    }

    if (N & 1)
    {
        cout << 7;
        N -= 3;
    }

    N >>= 1;

    for (int i = 0; i < N; i++)
    {
        cout << 1;
    }
}
